> For the complete documentation index, see [llms.txt](https://valor-biomechanics.gitbook.io/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://valor-biomechanics.gitbook.io/api/reference/api-reference/ikdata.md).

# ikData

## Retrieve Inverse Kinematics Data

## Retrieve IK Data.

<mark style="color:blue;">`GET`</mark> `https://487q8d7goe.execute-api.us-east-1.amazonaws.com/production/ikData`

Obtain inverse kinematics data across time for a specific session defined by the query parameters.&#x20;

#### Query Parameters

| Name                                    | Type   | Description                                                                                                                         |
| --------------------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------- |
| s3Key<mark style="color:red;">\*</mark> | String | Specific and unique s3Key or identifier of the session to fetch IK data for. Can be found from response of the sessionData endpoint |

#### Headers

| Name                                            | Type   | Description                                                                          |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | <p>JWT Bearer Token for authentication: <br><strong>Bearer \<JWT token></strong></p> |

{% tabs %}
{% tab title="200: OK IK Session successfully retrieved" %}

```json
{
    "statusCode": 200, 
    "body": {    
                "time": [], // Time increments are in 0.016 s or 60 Hz sampled
                "jointAngle": [], // Angle array
                "jointAngle_vel": [], // Velocity array 
                "jointAngle_acc": [] // Acceleration array
                ...
            }
}
```

{% endtab %}

{% tab title="404: Not Found No IK data found for this session" %}

```json
{
    "message": "String type - this will contain more details about the problem encountered"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Endpoint request timed out" %}

```json
{
    "message": "String type - this will contain more details about the problem encountered"
}
```

{% endtab %}
{% endtabs %}
